
Ruby - Bug #1280

Fix Compiler Warnings - digest/iconv/json/socket/syck/zlib extensions

03/13/2009 05:06 PM - cfis (Charlie Savage)

Status: Closed   

Priority: Normal   

Assignee: nobu (Nobuyoshi Nakada)   

Target version: 2.0.0   

ruby -v: ruby 1.9.2dev (2009-03-12)

[i386-mswin32_90]

Backport:  

Description

=begin

VC2008, compiled with -W3.

cl -nologo -I. -I../../.ext/include/i386-mswin32_90 -I../.././../include -I../.././../ext/digest -MDd -Zi -RTC1 -W3 -wd4996 -Od  -Zm600

-DRUBY_EXTCONF_H="extconf.h"   -I. -I./.. -I./../missing -DLIBRUBY_SO="ruby19.dll" -IC:\Development\msvc\include -Fodigest.obj

-c -Tc../.././../ext/digest/digest.c digest.c

../.././../ext/digest/digest.c(57) : warning C4018: '<' : signed/unsigned mismatch

cl -nologo -I. -I../../../.ext/include/i386-mswin32_90 -I../../.././../include -I../../.././../ext/digest/bubblebabble

-I../../.././../ext/digest/bubblebabble/.. -MDd -Zi -RTC1 -W3 -wd4996 -Od  -Zm600 -DRUBY_EXTCONF_H="extconf.h"   -I. -I./..

-I./../missing -DLIBRUBY_SO="ruby19.dll" -IC:\Development\msvc\include -Fobubblebabble.obj -c

-Tc../../.././../ext/digest/bubblebabble/bubblebabble.c bubblebabble.c

../../.././../ext/digest/bubblebabble/bubblebabble.c(52) : warning C4018: '>=' : signed/unsigned mismatch

../../.././../ext/digest/bubblebabble/bubblebabble.c(64) : warning C4018: '>=' : signed/unsigned mismatch

cl -nologo -I. -I../../.ext/include/i386-mswin32_90 -I../.././../include -I../.././../ext/iconv -MDd -Zi -RTC1 -W3 -wd4996 -Od  -Zm600

-DRUBY_EXTCONF_H="extconf.h"   -I. -I./.. -I./../missing -DLIBRUBY_SO="ruby19.dll" -IC:\Development\msvc\include -Foiconv.obj

-c -Tc../.././../ext/iconv/iconv.c iconv.c

../.././../ext/iconv/iconv.c(463) : warning C4018: '>' : signed/unsigned mismatch

../.././../ext/iconv/iconv.c(464) : warning C4018: '<' : signed/unsigned mismatch

cl -nologo -I. -I../../../../.ext/include/i386-mswin32_90 -I../../../.././../include -I../../../.././../ext/json/ext/parser -MDd -Zi -RTC1 -W3

-wd4996 -Od  -Zm600 -DRUBY_EXTCONF_H="extconf.h"   -I. -I./.. -I./../missing -DLIBRUBY_SO="ruby19.dll"

-IC:\Development\msvc\include -Founicode.obj -c -Tc../../../.././../ext/json/ext/parser/unicode.c unicode.c

../../../.././../ext/json/ext/parser/unicode.c(84) : warning C4244: '=' : conversion from 'long' to 'UTF16', possible loss of data

cl -nologo -I. -I../../.ext/include/i386-mswin32_90 -I../.././../include -I../.././../ext/socket -MDd -Zi -RTC1 -W3 -wd4996 -Od  -Zm600

-DRUBY_EXTCONF_H="extconf.h"   -I. -I./.. -I./../missing -DLIBRUBY_SO="ruby19.dll" -IC:\Development\msvc\include -Fosocket.obj

-c -Tc../.././../ext/socket/socket.c socket.c

../.././../ext/socket/socket.c(1453) : warning C4018: '<' : signed/unsigned mismatch

cl -nologo -I. -I../../.ext/include/i386-mswin32_90 -I../.././../include -I../.././../ext/socket -MDd -Zi -RTC1 -W3 -wd4996 -Od  -Zm600

-DRUBY_EXTCONF_H="extconf.h"   -I. -I./.. -I./../missing -DLIBRUBY_SO="ruby19.dll" -IC:\Development\msvc\include

-Foraddrinfo.obj -c -Tc../.././../ext/socket/raddrinfo.c raddrinfo.c

../.././../ext/socket/raddrinfo.c(890) : warning C4018: '<' : signed/unsigned mismatch

cl -nologo -I. -I../../.ext/include/i386-mswin32_90 -I../.././../include -I../.././../ext/syck -MDd -Zi -RTC1 -W3 -wd4996 -Od  -Zm600

-DRUBY_EXTCONF_H="extconf.h"   -I. -I./.. -I./../missing -DLIBRUBY_SO="ruby19.dll" -IC:\Development\msvc\include

-Fobytecode.obj -c -Tc../.././../ext/syck/bytecode.c bytecode.c

bytecode.re(442) : warning C4244: 'initializing' : conversion from 'double' to 'int', possible loss of data

cl -nologo -I. -I../../.ext/include/i386-mswin32_90 -I../.././../include -I../.././../ext/syck -MDd -Zi -RTC1 -W3 -wd4996 -Od  -Zm600

-DRUBY_EXTCONF_H="extconf.h"   -I. -I./.. -I./../missing -DLIBRUBY_SO="ruby19.dll" -IC:\Development\msvc\include

-Foemitter.obj -c -Tc../.././../ext/syck/emitter.c emitter.c

../.././../ext/syck/emitter.c(297) : warning C4018: '>=' : signed/unsigned mismatch

../.././../ext/syck/emitter.c(329) : warning C4018: '>' : signed/unsigned mismatch

../.././../ext/syck/emitter.c(462) : warning C4018: '>' : signed/unsigned mismatch

cl -nologo -I. -I../../.ext/include/i386-mswin32_90 -I../.././../include -I../.././../ext/syck -MDd -Zi -RTC1 -W3 -wd4996 -Od  -Zm600

-DRUBY_EXTCONF_H="extconf.h"   -I. -I./.. -I./../missing -DLIBRUBY_SO="ruby19.dll" -IC:\Development\msvc\include -Fogram.obj

-c -Tc../.././../ext/syck/gram.c gram.c
gram.c(1784) : warning C4102: 'yyerrorlab' : unreferenced label

cl -nologo -I. -I../../.ext/include/i386-mswin32_90 -I../.././../include -I../.././../ext/syck -MDd -Zi -RTC1 -W3 -wd4996 -Od  -Zm600

-DRUBY_EXTCONF_H="extconf.h"   -I. -I./.. -I./../missing -DLIBRUBY_SO="ruby19.dll" -IC:\Development\msvc\include

-Forubyext.obj -c -Tc../.././../ext/syck/rubyext.c rubyext.c

../.././../ext/syck/rubyext.c(313) : warning C4244: 'function' : conversion from 'time_t' to 'long', possible loss of data

cl -nologo -I. -I../../.ext/include/i386-mswin32_90 -I../.././../include -I../.././../ext/syck -MDd -Zi -RTC1 -W3 -wd4996 -Od  -Zm600

-DRUBY_EXTCONF_H="extconf.h"   -I. -I./.. -I./../missing -DLIBRUBY_SO="ruby19.dll" -IC:\Development\msvc\include -Fotoken.obj

-c -Tc../.././../ext/syck/token.c token.c

token.re(788) : warning C4244: '=' : conversion from 'long' to 'char', possible loss of data

token.re(901) : warning C4244: '=' : conversion from 'long' to 'char', possible loss of data

cl -nologo -I. -I../../.ext/include/i386-mswin32_90 -I../.././../include -I../.././../ext/zlib -MDd -Zi -RTC1 -W3 -wd4996 -Od  -Zm600

-DRUBY_EXTCONF_H="extconf.h"   -I. -I./.. -I./../missing -DLIBRUBY_SO="ruby19.dll" -IC:\Development\msvc\include -Fozlib.obj -c

-Tc../.././../ext/zlib/zlib.c zlib.c

../.././../ext/zlib/zlib.c(499) : warning C4018: '>=' : signed/unsigned mismatch

../.././../ext/zlib/zlib.c(611) : warning C4018: '<=' : signed/unsigned mismatch

../.././../ext/zlib/zlib.c(1920) : warning C4244: 'function' : conversion from 'time_t' to 'unsigned long', possible loss of data

=end

History

#1 - 03/13/2009 05:29 PM - cfis (Charlie Savage)

- File bigdecimal.patch added

=begin

Forgot bigdecimal patch.

=end

#2 - 07/16/2009 06:03 PM - yugui (Yuki Sonoda)

- Assignee set to nobu (Nobuyoshi Nakada)

- Priority changed from Normal to 3

- Target version changed from 1.9.1 to 2.0.0

=begin

=end

#3 - 10/16/2009 01:37 PM - naruse (Yui NARUSE)

- Status changed from Open to Closed

- % Done changed from 0 to 100

=begin

This issue was solved with changeset r25365.

Charlie, thank you for your reporting of the issue.

You have greatfully contributed toward Ruby.

May Ruby be with you.

=end

Files

zlib.patch 930 Bytes 03/13/2009 cfis (Charlie Savage)

digest.patch 778 Bytes 03/13/2009 cfis (Charlie Savage)

iconv.patch 717 Bytes 03/13/2009 cfis (Charlie Savage)

json.patch 421 Bytes 03/13/2009 cfis (Charlie Savage)

socket.patch 974 Bytes 03/13/2009 cfis (Charlie Savage)

syck.patch 1.19 KB 03/13/2009 cfis (Charlie Savage)

bigdecimal.patch 457 Bytes 03/13/2009 cfis (Charlie Savage)
